# Generated by Django 3.2 on 2023-10-09 06:29

import ckeditor_uploader.fields
from django.db import migrations, models
import rizq_sanjaya_app.models.profile


class Migration(migrations.Migration):

    dependencies = [
        ('rizq_sanjaya_app', '0075_alter_carousel_keterangan'),
    ]

    operations = [
        migrations.CreateModel(
            name='LayananDinas',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=100, unique=True)),
                ('typexs', models.CharField(default='product', max_length=100)),
                ('description', ckeditor_uploader.fields.RichTextUploadingField()),
                ('slug', models.SlugField(max_length=150, unique=True)),
                ('foto', models.ImageField(null=True, upload_to='profile/images/layanan', validators=[rizq_sanjaya_app.models.profile.validate_file_gambar, rizq_sanjaya_app.models.profile.validate_file_size_gambar])),
            ],
        ),
    ]
